OGRE: Ogre::DynLib Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::DynLib Class Reference
[General]

Resource holding data about a dynamic library. More...

`#include <OgreDynLib.h>`

Inheritance diagram for Ogre::DynLib:
[legend]

List of all members.

## Public Member Functions
| DynLib (const String &name)
| Default constructor - used by DynLibManager.
| ~DynLib ()
| Default destructor.
void | load ()
| Load the library.
void | unload ()
| Unload the library.
const String & | getName (void) const
| Get the name of the library.
void * | getSymbol (const String &strName) const throw ()
| Returns the address of the given symbol from the loaded library.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Member Functions
String | dynlibError (void)
| Gets the last loading error.
## Protected Attributes
String | mName
DYNLIB_HANDLE | m_hInst
| Handle to the loaded library.

## Detailed Description

Resource holding data about a dynamic library.

Remarks:
  This class holds the data required to get symbols from libraries loaded at run-time (i.e. from DLL's for so's)

Author:
  Adrian Cearn„u (cearny@cearny.ro)

Since:
  27 January 2002

See also:
  Resource

Definition at line 81 of file OgreDynLib.h.

## Constructor & Destructor Documentation

Ogre::DynLib::DynLib | ( | const String & | name | ) |

Default constructor - used by DynLibManager.

Warning:
  Do not call directly

Ogre::DynLib::~DynLib | ( |  | ) |

Default destructor.

## Member Function Documentation

String Ogre::DynLib::dynlibError | ( | void |  | ) | `[protected]`

Gets the last loading error.

const String& Ogre::DynLib::getName | ( | void |  | ) | const

Get the name of the library.

Definition at line 105 of file OgreDynLib.h.

void* Ogre::DynLib::getSymbol | ( | const String & | strName | ) | const throw ()

Returns the address of the given symbol from the loaded library.

Parameters:

  | strName | The name of the symbol to search for

Returns:
  If the function succeeds, the returned value is a handle to the symbol.

  If the function fails, the returned value is NULL.

void Ogre::DynLib::load | ( |  | ) |

Load the library.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::DynLib::unload | ( |  | ) |

Unload the library.

## Member Data Documentation

DYNLIB_HANDLE Ogre::DynLib::m_hInst`[protected]`

Handle to the loaded library.

Definition at line 123 of file OgreDynLib.h.

String Ogre::DynLib::mName`[protected]`

Definition at line 84 of file OgreDynLib.h.

The documentation for this class was generated from the following file:

- OgreDynLib.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54